## org.eclipse.m2m.atl.engine.vm
Class ASMStackFrame

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.StackFrame
                  org.eclipse.m2m.atl.engine.vm.ASMStackFrame

    public class ASMStackFrame

extends StackFrame

Field Summary
`static ASMOclType` `myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame
`debugger`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ASMStackFrame(ExecEnv execEnv, ASMOperation operation, java.util.List args)`

Method Summary
`boolean` `empty()`
`java.util.List` `getLocalStack()`
`java.util.Map` `getLocalVariables()`
`int` `getLocation()`
`java.lang.String` `getSourceLocation()`
`ASMOclAny` `getVariable(java.lang.String name)`
`boolean` `hasNextInstruction()`
`ASMOclAny` `leaveFrame()`
`ASMInstruction` `nextInstruction()`
`ASMOclAny` `peek()`
`ASMOclAny` `pop()`
`void` `popVariable(java.lang.String name)`
`void` `push(ASMOclAny value)`
`void` `pushVariable(java.lang.String name)`
`java.lang.String` `resolveVariableName(int slot)`
`static ASMStackFrame` `rootFrame(ASMExecEnv execEnv, ASMOperation operation, java.util.List args)`
`void` `setLocation(int location)`
`void` `setVariable(java.lang.String name, ASMOclAny value)`
`void` `step()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame
`enterFrame, getArgs, getExecEnv, getModel, getModels, getOperation, getOpName, getParent, getStack, printStackTrace, printStackTrace, printStackTrace, printStackTrace, setParent`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myType

    public static ASMOclType myType

Constructor Detail

### ASMStackFrame

    public ASMStackFrame(ExecEnv execEnv,
                         ASMOperation operation,
                         java.util.List args)

Method Detail

### rootFrame

    public static ASMStackFrame rootFrame(ASMExecEnv execEnv,
                                          ASMOperation operation,
                                          java.util.List args)

### leaveFrame

    public ASMOclAny leaveFrame()

  Overrides:
    `leaveFrame` in class `StackFrame`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### push

    public void push(ASMOclAny value)

### pop

    public ASMOclAny pop()

### peek

    public ASMOclAny peek()

### empty

    public boolean empty()

### setVariable

    public void setVariable(java.lang.String name,
                            ASMOclAny value)

### getVariable

    public ASMOclAny getVariable(java.lang.String name)

### pushVariable

    public void pushVariable(java.lang.String name)

### popVariable

    public void popVariable(java.lang.String name)

### hasNextInstruction

    public boolean hasNextInstruction()

### nextInstruction

    public ASMInstruction nextInstruction()

### getLocation

    public int getLocation()

### setLocation

    public void setLocation(int location)

### step

    public void step()

### getLocalVariables

    public java.util.Map getLocalVariables()

### getLocalStack

    public java.util.List getLocalStack()

### resolveVariableName

    public java.lang.String resolveVariableName(int slot)

### getSourceLocation

    public java.lang.String getSourceLocation()

Copyright 2007 IBM Corporation and others. All Rights Reserved.